# -*- coding: utf-8 -*-
from odoo.upgrade import util

def migrate(cr, version):
    # Cannot delete the fiscal position since it's link to a account.move
    cr.execute("""
        DELETE FROM ir_model_data
              WHERE module = 'account_taxcloud'
                AND name = 'account_fiscal_position_taxcloud_us'
    """)

    util.uninstall_module(cr, 'website_sale_taxcloud_delivery')
    util.uninstall_module(cr, 'website_sale_account_taxcloud')
    util.uninstall_module(cr, 'sale_subscription_taxcloud')
    util.uninstall_module(cr, 'sale_account_taxcloud')
    util.uninstall_module(cr, 'account_taxcloud')
